> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nerves-hub.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Support Script by ID



## OpenAPI

````yaml https://manage.nervescloud.com/api/openapi get /api/orgs/{org_name}/products/{product_name}/scripts/{id}
openapi: 3.0.0
info:
  description: >
    The NervesCloud API gives users full access to their

    Orgs, Products, and corresponding Device fleets.


    The API can be used to integrate with your own systems, providing full
    access to your Product and Device data.


    The API is documented using the OpenAPI 3.0 specification.
  title: NervesCloud API
  version: 2.0.0
servers:
  - url: https://manage.nervescloud.com
    variables: {}
security:
  - bearer_auth: []
tags:
  - description: User authentication and API token creation
    name: Auth
  - description: Organization Certificate Authority management
    name: CA Certificates
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices
  - description: Log lines Devices have sent over the logging extension
    name: Device Logs
  - description: >-
      Device management, including action requests eg. upgrade, reboot,
      reconnect
    name: Devices (short URL)
  - description: Device Certificate management
    name: Device Certificates
  - description: Identities a Device holds on networks NervesHub does not run
    name: Network Identities
  - description: Deployment Group and release management
    name: Deployment Groups
  - description: Firmware uploading and management
    name: Firmwares
  - description: Organization iroh endpoint id registration
    name: Iroh Endpoints
  - description: Organization management
    name: Organizations
  - description: Organization User membership management
    name: Organization Members
  - description: Product management
    name: Products
  - description: Organization Signing Key management
    name: Signing Keys
  - description: Product Support Script management
    name: Support Scripts
  - description: Platform healthcheck
    name: Platform Status
paths:
  /api/orgs/{org_name}/products/{product_name}/scripts/{id}:
    get:
      tags:
        - Support Scripts
      summary: Get a Support Script by ID
      operationId: NervesHubWeb.API.ScriptController.show
      parameters:
        - description: Organization Name
          example: example_org
          in: path
          name: org_name
          required: true
          schema:
            type: string
        - description: Product Name
          example: example_product
          in: path
          name: product_name
          required: true
          schema:
            type: string
        - description: Script ID
          example: '123'
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportScriptShowResponse'
          description: Support Scripts
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
      callbacks: {}
      security:
        - bearer_auth: []
components:
  schemas:
    SupportScriptShowResponse:
      description: Response schema for a single Support Script
      example:
        data:
          created_by:
            email: waffles@doggo.com
            id: '1'
            name: Waffles t'Doggo
          id: '1'
          inserted_at: '2026-03-28T08:10:20Z'
          name: Snoot Boop
          tags: snoots
          text: Snoot.boop()
          updated_at: '2026-06-23T08:10:20Z'
      properties:
        data:
          $ref: '#/components/schemas/SupportScript'
      title: SupportScriptShowResponse
      type: object
    ErrorResponse:
      description: Error response
      example:
        errors:
          detail: Resource Not Found or Authorization Insufficient
      properties:
        errors:
          properties:
            detail:
              type: string
          type: object
      title: ErrorResponse
      type: object
    SupportScript:
      example:
        created_by:
          email: waffles@doggo.com
          id: '1'
          name: Waffles t'Doggo
        id: '1'
        inserted_at: '2026-03-28T08:10:20Z'
        name: Clean Disk
        tags: cleanup
        text: Clean.disk()
        updated_at: '2026-06-23T08:10:20Z'
      properties:
        created_by:
          properties:
            email:
              type: string
            id:
              type: string
            name:
              type: string
          type: object
        id:
          type: string
        inserted_at:
          format: date-time
          type: string
        name:
          type: string
        tags:
          type: string
        text:
          type: string
        updated_at:
          format: date-time
          type: string
      title: SupportScript
      type: object
  securitySchemes:
    bearer_auth:
      scheme: bearer
      type: http

````